%define upstream_name    Test-File-ShareDir
%define upstream_version 1.000005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Internal Object to make code simpler
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Tiny)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::Util)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module only has support for creating 'new' style share dirs and are
NOT compatible with old File::ShareDirs.

For this reason, unless you have File::ShareDir 1.00 or later installed,
this module will not be usable by you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 18 2014 umeabot <umeabot> 1.0.5-5.mga5
+ Revision: 787540
- Rebuild to add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-4.mga5
+ Revision: 739587
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.0.5-3.mga5
+ Revision: 736005
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-2.mga5
+ Revision: 686440
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 1.0.5-1.mga5
+ Revision: 664179
- update to 1.000005

* Thu Jul 24 2014 sander85 <sander85> 1.0.4-1.mga5
+ Revision: 656287
- update to 1.000004

* Mon Jul 21 2014 sander85 <sander85> 1.0.2-1.mga5
+ Revision: 655057
- update to 1.000002

* Sat Jun 07 2014 sander85 <sander85> 1.0.1-1.mga5
+ Revision: 634539
- update to 1.000001

* Tue Feb 25 2014 jquelin <jquelin> 1.0.0-1.mga5
+ Revision: 596851
- update to 1.000000

* Sat Oct 19 2013 umeabot <umeabot> 0.3.3-2.mga4
+ Revision: 527349
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.3.3-1.mga4
+ Revision: 439947
- update to 0.3.3

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-2.mga3
+ Revision: 373527
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.3.1-1.mga2
+ Revision: 163510
- update to 0.3.1

  + jquelin <jquelin>
    - adding missing buildrequires:
    - imported package perl-Test-File-ShareDir


* Fri Aug 26 2011 cpan2dist 0.3.0-1mga
- initial mageia release, generated with cpan2dist
